-- IBM Confidential
-- OCO Source Materials
-- 5724-I68.
-- (C) Copyright IBM Corp. 2000, 2006 - All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure 
-- restricted by GSA ADP Schedule Contract with IBM Corp. 


-- drop index ictg_ita_0
drop index ictg_ita_0;

commit;


-- reorganize table
ALTER TABLE tctg_ita_item_attributes MOVE PCTFREE 10 PCTUSED 60;

commit;


-- create indices
create index ictg_ita_0 on tctg_ita_item_attributes (
        ita_item_id,
        ita_next_version_id,
        ita_version_id,
        ita_catalog_id,
        ita_node_id,
        ita_occurrence_id
)
tablespace indx NOLOGGING;

create index ictg_ita_1 on tctg_ita_item_attributes (
        ita_node_id,
        ita_value_numeric,
        ita_next_version_id,
        ita_version_id,
        ita_catalog_id,
        ita_occurrence_id,
        ita_item_id
)
tablespace indx NOLOGGING;

create index ictg_ita_2 on tctg_ita_item_attributes (
        ita_node_id,
        ita_value_string,
        ita_next_version_id,
        ita_version_id,
        ita_catalog_id,
        ita_occurrence_id,
        ita_item_id
)
tablespace indx NOLOGGING;

create index ictg_ita_3 on tctg_ita_item_attributes (
        ita_node_id,
        ita_value_string_ignorecase,
        ita_next_version_id,
        ita_version_id,
        ita_catalog_id,
        ita_occurrence_id,
        ita_item_id
)
tablespace indx NOLOGGING;

commit;



